M .config/alacritty/alacritty.yml => .config/alacritty/alacritty.yml +3 -3
@@ 5,15 5,15 @@ env:
window:
padding:
- x: 15
- y: 15
+ x: 25
+ y: 25
font:
normal:
family: DejaVu Sans Mono
style: Regular
- size: 10
+ size: 9
draw_bold_text_with_bright_colors: true
M .config/herbstluftwm/autostart => .config/herbstluftwm/autostart +4 -4
@@ 1,4 1,4 @@
-#!/usr/bin/env bash
+#!/bin/bash
hc() {
herbstclient "$@"
@@ 65,10 65,10 @@ hc keybind $Mod-Control-Up resize up +$resizestep
hc keybind $Mod-Control-Right resize right +$resizestep
# tags
-tag_names=( {1..9} )
-tag_keys=( {1..9} 0 )
+tag_names="1 2 3 4 5 6 7 8 9 0"
+tag_keys="1 2 3 4 5 6 7 8 9 0"
-hc rename default "${tag_names[0]}" || true
+hc rename default $(echo $tag_names | cut -d\ -f1) || true
for i in "${!tag_names[@]}" ; do
hc add "${tag_names[$i]}"
key="${tag_keys[$i]}"
M .config/rofi/config.rasi => .config/rofi/config.rasi +2 -2
@@ 5,7 5,7 @@ configuration {
display-run: "run % ";
- font: "Go Mono 10";
+ font: "DejaVu Sans Mono 10";
sort: true;
sorting-method: "normal";
}
@@ 76,7 76,7 @@ inputbar {
prompt {
expand: false;
highlight: bold;
- font: "Go Mono Bold 10";
+ font: "DejaVu Sans Mono Bold 10";
}
window {
M bin/bar => bin/bar +5 -5
@@ 1,6 1,6 @@
-#!/bin/sh
+#!/bin/bash
-font_family="DejaVu Sans Mono-10"
+font_family="DejaVu Sans Mono-9"
p=" "
panel_fifo="/tmp/panel_fifo"
@@ 37,7 37,7 @@ wm() {
for tag in $(hc tag_status "$1")
do
name=${tag#?}
- case $tag in
+ case $tag in
'#'*)
# focused tag
tags="$tags%{F$background}%{B$foreground} $name %{F$foreground}%{B$background}"
@@ 81,8 81,8 @@ contents() {
tags=$contents
;;
esac
- printf "%s" "%{l}$tags$p%{r}$p$clock$p"
+ printf "%s\n" "%{l}$tags$p%{r}$p$clock$p"
done
}
-contents < $panel_fifo | lemonbar -f "$font_family" -F "$foreground" -B "$background" -a 10
+contents < $panel_fifo | lemonbar -f "$font_family" -F "$foreground" -B "$background"